Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229702 - vnc installation terminated after starting remote vncviewer
Summary: vnc installation terminated after starting remote vncviewer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vnc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 20:33 UTC by ericm24x7
Modified: 2013-04-30 23:35 UTC (History)
1 user (show)

Fixed In Version: 4.1.2-13.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-26 12:54:25 UTC


Attachments (Terms of Use)
anaconda.log file (deleted)
2007-02-22 20:33 UTC, ericm24x7
no flags Details
vncserver.log file (deleted)
2007-02-22 20:34 UTC, ericm24x7
no flags Details

Description ericm24x7 2007-02-22 20:33:34 UTC
Description of problem:
Performing a vnc installation, the program aborted when remote vncviewer start.

Version-Release number of selected component (if applicable):
vnc-libs-4.1.2-11.fc7.x86_64
vnc-4.1.2-11.f7.x86_64

How reproducible:
persistent

Steps to Reproduce:
1. perform network install with vnc option
   sample kickstart file:
     vnc --password install
     url --url http://192.168.3.102/a/fed/x86_64/os
     network --device eth0 --bootproto dhcp --hostname cozumel4
     lang en_US
     keyboard us
     rootpw install
     timezone America/New_York
2.   waiting for the following signal to start remote vncviewer
        Starting VNC
        The VNC server is now running.
        Please connect to 192.168.3.20:1 to begin the install...
3. from remote PC run:
      vncviewer 192.168.3.20:1
  
Actual results:
Below is the signal displayed on the main terminal:
   The application 'mini-wm' lost its connection to the display :1.0;
   most likely the X server was shut down or you killed/destroyed the
   application.
   The application 'anaconda' lost its connection to the display :1.0;
   most likely the X server was shut down or you killed/destroyed the
   application.
   install exited abnormally [1/1]
syslog file show the following message:
   Xvnc[702] general protection rip:2aaaac8f8790 rsp:7fffa8084b58 error:0

Expected results:
should proceed without error

Additional info:
attached is anaconda.log and vncserver.log

Comment 1 ericm24x7 2007-02-22 20:33:34 UTC
Created attachment 148623 [details]
anaconda.log file

Comment 2 ericm24x7 2007-02-22 20:34:40 UTC
Created attachment 148625 [details]
vncserver.log file

Comment 3 Adam Tkac 2007-02-23 10:30:16 UTC
this could be fixed in anaconda >= 11.2.0.26-1 . Could you test it with this (or
newer) version?

Regards, Adam

Comment 4 ericm24x7 2007-02-23 18:30:01 UTC
I just ran today's build (2.23.07)
anaconda-11.2.0.26-1.x86_64.rpm
Failed.

Will test again on the next iteration/build.

Comment 5 Adam Tkac 2007-02-26 12:54:25 UTC
Yes, problem was in vnc's rfb library. This could be fixed in vnc-*4.1.2-13.fc7


Note You need to log in before you can comment on or make changes to this bug.